local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Hourglass", "Hourglass")
if not Addon then return end

-- constants
local DURATION = 3600
local DELTA = 60
local ICON = "Interface\\Icons\\INV_Misc_Food_19"
local NAME = "Hourglass %d"
local NUM = 5

function Addon:Start()
    
    -- show the bars
    local data = { name = nil, icon = ICON, startTime = GetTime() - DURATION / 2 }
    for i = 1, NUM do
        data.name = string.format(NAME, i)
        data.startTime = data.startTime + i * DELTA
        Hourglass:StartBar(data.name, data, DURATION)
    end

    -- show the anchor
    Hourglass:ToggleAnchor(true)
end

function Addon:Stop()

    -- hide the bars
    local barId
    for i = 1, NUM do
        barId = Hourglass:GetBarId(string.format(NAME, i))
        Hourglass:StopCandyBar(barId)
    end

    -- hide the anchor
    Hourglass:ToggleAnchor(false)
end